Package org.wildfly.plugin.provision

## Class ChannelMavenArtifactRepositoryManager

- java.lang.Object
- - org.wildfly.plugin.provision.ChannelMavenArtifactRepositoryManager

- All Implemented Interfaces:
    `org.jboss.galleon.api.MavenStreamResolver`, `org.jboss.galleon.repo.RepositoryArtifactResolver`, `org.jboss.galleon.universe.maven.repo.MavenRepoManager`, `org.wildfly.channel.spi.ChannelResolvable`

      public class ChannelMavenArtifactRepositoryManager
      extends Object
      implements org.jboss.galleon.universe.maven.repo.MavenRepoManager, org.wildfly.channel.spi.ChannelResolvable, org.jboss.galleon.api.MavenStreamResolver

- - ### Field Summary

    - ### Fields inherited from interface org.jboss.galleon.universe.maven.repo.MavenRepoManager

      `REPOSITORY_ID`

    - ### Fields inherited from interface org.jboss.galleon.repo.RepositoryArtifactResolver

      `ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ChannelMavenArtifactRepositoryManager​(List<ChannelConfiguration> channels, org.eclipse.aether.RepositorySystem system, org.eclipse.aether.RepositorySystemSession contextSession, List<org.eclipse.aether.repository.RemoteRepository> repositories, org.apache.maven.plugin.logging.Log log, boolean offline)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `done​(Path home)` |
    `List<String>` | `getAllVersions​(org.jboss.galleon.universe.maven.MavenArtifact artifact)` |
    `List<String>` | `getAllVersions​(org.jboss.galleon.universe.maven.MavenArtifact artifact, Pattern includeVersion, Pattern excludeVersion)` |
    `String` | `getLatestVersion​(String groupId, String artifactId, String extension, String classifier, String baseVersion)` |
    `String` | `getLatestVersion​(org.jboss.galleon.universe.maven.MavenArtifact artifact)` |
    `String` | `getLatestVersion​(org.jboss.galleon.universe.maven.MavenArtifact artifact, String lowestQualifier)` |
    `String` | `getLatestVersion​(org.jboss.galleon.universe.maven.MavenArtifact artifact, String lowestQualifier, Pattern includeVersion, Pattern excludeVersion)` |
    `void` | `install​(org.jboss.galleon.universe.maven.MavenArtifact artifact, Path path)` |
    `boolean` | `isLatestVersionResolved​(org.jboss.galleon.universe.maven.MavenArtifact artifact, String lowestQualifier)` |
    `boolean` | `isResolved​(org.jboss.galleon.universe.maven.MavenArtifact artifact)` |
    `void` | `resolve​(org.jboss.galleon.universe.maven.MavenArtifact artifact)` |
    `void` | `resolveLatestVersion​(org.jboss.galleon.universe.maven.MavenArtifact artifact)` |
    `void` | `resolveLatestVersion​(org.jboss.galleon.universe.maven.MavenArtifact artifact, String lowestQualifier, boolean locallyAvailable)` |
    `void` | `resolveLatestVersion​(org.jboss.galleon.universe.maven.MavenArtifact artifact, String lowestQualifier, Pattern includeVersion, Pattern excludeVersion)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.galleon.universe.maven.repo.MavenRepoManager

      `getLatestFinalVersion, getRepositoryId, resolve, resolveAll, resolveLatestVersion, resolveLatestVersion`

- - ### Constructor Detail

    - #### ChannelMavenArtifactRepositoryManager

          public ChannelMavenArtifactRepositoryManager​(List<ChannelConfiguration> channels,
                                                       org.eclipse.aether.RepositorySystem system,
                                                       org.eclipse.aether.RepositorySystemSession contextSession,
                                                       List<org.eclipse.aether.repository.RemoteRepository> repositories,
                                                       org.apache.maven.plugin.logging.Log log,
                                                       boolean offline)
                                                throws MalformedURLException,
                                                       org.wildfly.channel.UnresolvedMavenArtifactException,
                                                       org.apache.maven.plugin.MojoExecutionException

      Throws:
        `MalformedURLException`
        `org.wildfly.channel.UnresolvedMavenArtifactException`
        `org.apache.maven.plugin.MojoExecutionException`

  - ### Method Detail

    - #### resolve

          public void resolve​(org.jboss.galleon.universe.maven.MavenArtifact artifact)
                       throws org.jboss.galleon.universe.maven.MavenUniverseException

      Specified by:
        `resolve` in interface `org.jboss.galleon.universe.maven.repo.MavenRepoManager`
      Throws:
        `org.jboss.galleon.universe.maven.MavenUniverseException`

    - #### done

          public void done​(Path home)
                    throws org.jboss.galleon.universe.maven.MavenUniverseException,
                           IOException

      Throws:
        `org.jboss.galleon.universe.maven.MavenUniverseException`
        `IOException`

    - #### resolveLatestVersion

          public void resolveLatestVersion​(org.jboss.galleon.universe.maven.MavenArtifact artifact)
                                    throws org.jboss.galleon.universe.maven.MavenUniverseException

      Specified by:
        `resolveLatestVersion` in interface `org.jboss.galleon.universe.maven.repo.MavenRepoManager`
      Throws:
        `org.jboss.galleon.universe.maven.MavenUniverseException`

    - #### isResolved

          public boolean isResolved​(org.jboss.galleon.universe.maven.MavenArtifact artifact)
                             throws org.jboss.galleon.universe.maven.MavenUniverseException

      Specified by:
        `isResolved` in interface `org.jboss.galleon.universe.maven.repo.MavenRepoManager`
      Throws:
        `org.jboss.galleon.universe.maven.MavenUniverseException`

    - #### isLatestVersionResolved

          public boolean isLatestVersionResolved​(org.jboss.galleon.universe.maven.MavenArtifact artifact,
                                                 String lowestQualifier)
                                          throws org.jboss.galleon.universe.maven.MavenUniverseException

      Specified by:
        `isLatestVersionResolved` in interface `org.jboss.galleon.universe.maven.repo.MavenRepoManager`
      Throws:
        `org.jboss.galleon.universe.maven.MavenUniverseException`

    - #### resolveLatestVersion

          public void resolveLatestVersion​(org.jboss.galleon.universe.maven.MavenArtifact artifact,
                                           String lowestQualifier,
                                           Pattern includeVersion,
                                           Pattern excludeVersion)
                                    throws org.jboss.galleon.universe.maven.MavenUniverseException

      Specified by:
        `resolveLatestVersion` in interface `org.jboss.galleon.universe.maven.repo.MavenRepoManager`
      Throws:
        `org.jboss.galleon.universe.maven.MavenUniverseException`

    - #### resolveLatestVersion

          public void resolveLatestVersion​(org.jboss.galleon.universe.maven.MavenArtifact artifact,
                                           String lowestQualifier,
                                           boolean locallyAvailable)
                                    throws org.jboss.galleon.universe.maven.MavenUniverseException

      Specified by:
        `resolveLatestVersion` in interface `org.jboss.galleon.universe.maven.repo.MavenRepoManager`
      Throws:
        `org.jboss.galleon.universe.maven.MavenUniverseException`

    - #### getLatestVersion

          public String getLatestVersion​(org.jboss.galleon.universe.maven.MavenArtifact artifact)
                                  throws org.jboss.galleon.universe.maven.MavenUniverseException

      Specified by:
        `getLatestVersion` in interface `org.jboss.galleon.universe.maven.repo.MavenRepoManager`
      Throws:
        `org.jboss.galleon.universe.maven.MavenUniverseException`

    - #### getLatestVersion

          public String getLatestVersion​(org.jboss.galleon.universe.maven.MavenArtifact artifact,
                                         String lowestQualifier)
                                  throws org.jboss.galleon.universe.maven.MavenUniverseException

      Specified by:
        `getLatestVersion` in interface `org.jboss.galleon.universe.maven.repo.MavenRepoManager`
      Throws:
        `org.jboss.galleon.universe.maven.MavenUniverseException`

    - #### getLatestVersion

          public String getLatestVersion​(org.jboss.galleon.universe.maven.MavenArtifact artifact,
                                         String lowestQualifier,
                                         Pattern includeVersion,
                                         Pattern excludeVersion)
                                  throws org.jboss.galleon.universe.maven.MavenUniverseException

      Specified by:
        `getLatestVersion` in interface `org.jboss.galleon.universe.maven.repo.MavenRepoManager`
      Throws:
        `org.jboss.galleon.universe.maven.MavenUniverseException`

    - #### getAllVersions

          public List<String> getAllVersions​(org.jboss.galleon.universe.maven.MavenArtifact artifact)
                                      throws org.jboss.galleon.universe.maven.MavenUniverseException

      Specified by:
        `getAllVersions` in interface `org.jboss.galleon.universe.maven.repo.MavenRepoManager`
      Throws:
        `org.jboss.galleon.universe.maven.MavenUniverseException`

    - #### getAllVersions

          public List<String> getAllVersions​(org.jboss.galleon.universe.maven.MavenArtifact artifact,
                                             Pattern includeVersion,
                                             Pattern excludeVersion)
                                      throws org.jboss.galleon.universe.maven.MavenUniverseException

      Specified by:
        `getAllVersions` in interface `org.jboss.galleon.universe.maven.repo.MavenRepoManager`
      Throws:
        `org.jboss.galleon.universe.maven.MavenUniverseException`

    - #### install

          public void install​(org.jboss.galleon.universe.maven.MavenArtifact artifact,
                              Path path)
                       throws org.jboss.galleon.universe.maven.MavenUniverseException

      Specified by:
        `install` in interface `org.jboss.galleon.universe.maven.repo.MavenRepoManager`
      Throws:
        `org.jboss.galleon.universe.maven.MavenUniverseException`

    - #### getLatestVersion

          public String getLatestVersion​(String groupId,
                                         String artifactId,
                                         String extension,
                                         String classifier,
                                         String baseVersion)

      Specified by:
        `getLatestVersion` in interface `org.jboss.galleon.api.MavenStreamResolver`